Subject: bug#13109: 24.1; flyspell highlights words containing curly quotes which ispell-buffer accepts

From: Reuben Thomas <[email-masked]>
Date: Sun, 9 Dec 2012 21:24:13 +0000

On 7 December 2012 15:27, Reuben Thomas <[email-masked]> wrote:

> On Dec 7, 2012 1:57 PM, "Eli Zaretskii" <[email-masked]> wrote:
> >
> > > Date: Fri, 7 Dec 2012 12:52:29 +0000
> > > From: Reuben Thomas <[email-masked]>
> > >
> > > > > From: Reuben Thomas <[email-masked]>
> > > > > Date: Thu, 06 Dec 2012 23:59:11 +0000
> > > > >
> > > > > Insert "didn’t" in the scratch buffer (note the curly quote).
> > > > > ispell-buffer gives the buffer a clean bill of health, but turning
> on
> > > > > flyspell-mode highlights “didn”. My default dictionary is british,
> and
> > > > > ispell-buffer uses aspell by default on my system.
> > > >
> > > > Please try a newer Emacs, I think this bug was already fixed.  At
> > > > least I cannot reproduce this with the current emacs-24 branch.
> > > >
> > > > I just checked out out the emacs-24 branch, and I can reproduce this
> bug,
> > > running emacs -Q and proceeding as in my original report.
> >
> > Sorry, that's my bad: I didn't "note the curly quote".
> >
> > But with that character, ispell-buffer also wants me to correct
> > "didn".  So both commands are consistent on my machine.  But then I
> > don't work on en_GB.UTF-8 locale, and I'm guessing your ispell is
> > neither real ispell nor hunspell, which are two spellers I tested this
> > with.
>
> As I said originally, I'm using aspell.
>
I just repeated the experiment with a built of the default branch of emacs,
and obtained the same results.

-- 
http://rrt.sc3d.org